### Method

# Qmi MessageDmsSwiSetUsbCompositionInput set_current

since: 1.20

#### Declaration [src]

    gboolean
    qmi_message_dms_swi_set_usb_composition_input_set_current (
      QmiMessageDmsSwiSetUsbCompositionInput* self,
      QmiDmsSwiUsbComposition value_current,
      GError** error
    )

#### Description [src]

Set the ‘Current’ field in the message.

Available since: 1.20

#### Parameters

`value_current`

  Type: `QmiDmsSwiUsbComposition`

  A `QmiDmsSwiUsbComposition`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.